Apply polygon styles also to points
Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14251

Description

    -  Load a point layer

    -  Create individual convex polygons based on some value

    -  Create a style for polygons based on same value

    -  Apply the style to the original point layer

The points should appear in the same colour as the polygons, but in fact they disappear. From there on, no style is applied correctly.

If the layer is removed and reloaded, classifications can be used again, but not preset styles.

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-05 03:21 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 (and probably in previous versions), you can't apply a style from a Polygon layer to a Point layer.

There is message in the canvas:

Cannot paste style to layer with a different geometry type: Your copied style does not match the layer you are pasting to

It seems to be the normal behavior as polygon styles are difficult to apply to points.

What was the initial problem ? Do you like to transform a polygon style to a point style, for example by copying fill and outline colors from Simple Fill to fill
and outline colors of Simple Marker ?

#6 - 2015-12-20 03:39 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from Polygon styles are not applied to points to Apply polygon styles also to points

- Status changed from Feedback to Open

Médéric RIBREUX wrote:

Hello, bug triage...

in QGIS 2.13 (and probably in previous versions), you can't apply a style from a Polygon layer to a Point layer.

There is message in the canvas:

[...]

It seems to be the normal behavior as polygon styles are difficult to apply to points.

What was the initial problem ? Do you like to transform a polygon style to a point style, for example by copying fill and outline colors from Simple Fill

to fill and outline colors of Simple Marker ?

considered the age of this ticket I don't think it refers to the copy/paste style feature.

Is true that a saved QML from a polygon layer, based on a attribute, won't work on a point layer with the same attribute/values, but why it should

considered that it contains only "fill" styles.

This seems like more appropriate for a feature request.

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-01-31 11:22 AM - Paolo Cavallini

- Description updated

Copy/paste would be nice, but currently throws an error because of different geometries (point vs polygons).

Saving a style from points and applying to polygons by hand from Layer properties>Load style also fails with a similar error:

Cannot apply style to layer with a different geometry type

#9 - 2018-03-07 04:15 PM - Paolo Cavallini

Still true in QGIS 3.
